Bug 519313 - RHEL 5.2-i686: Add NIC driver to initrd.img (initial ramdisk) for PXE installation
Summary: RHEL 5.2-i686: Add NIC driver to initrd.img (initial ramdisk) for PXE install...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.2
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-26 02:44 UTC by Lin Avator
Modified: 2009-09-14 19:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-14 19:22:53 UTC


Attachments (Terms of Use)

Description Lin Avator 2009-08-26 02:44:51 UTC
We need to make RHEL 5.2 PXE installation support Intel NIC 82576 and 82574L. But it fails on 32-bit version of RHEL 5.2 (i686).


1. For RHEL 5.2 x86_64, we have successfully to build initrd.img (initial ramdisk) to support 82576 & 82574L PXE installation.

2. But, for RHEL 5.2 i686 (32-bit version), we can not make our PXE server to support either 82576 or 82574L, no matter we boot into PAE mode (kernel 2.6.18-92.el5PAE) or non-PAE mode (kernel 2.6.18-92.el5).

   Please help us to solve this issue.

Comment 1 Lin Avator 2009-09-04 03:35:49 UTC
  After reducing the DIMM size to 2G and then rebooting into non-PAE kernel, we can build PXE-able NIC(82576 & 82574L) drivers for 32-bit RHEL 5.2 successfully.

  Hence, this issue can be closed.


Note You need to log in before you can comment on or make changes to this bug.